Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo.jdbc
Class ExtensionDeprecatedJDOMappingFactory

    java.lang.Object
      org.apache.openjpa.meta.AbstractMetaDataFactory
          org.apache.openjpa.meta.AbstractCFMetaDataFactory
              kodo.jdo.JDOMetaDataFactory
                  kodo.jdo.DeprecatedJDOMetaDataFactory
                      kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory
                          kodo.jdo.jdbc.ExtensionDeprecatedJDOMappingFactory

All Implemented Interfaces:
  ApplicationIdTool.ObjectIdLoader, MetaDataFactory, MetaDataModes

    public class ExtensionDeprecatedJDOMappingFactory

extends kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory

Specialization of the `DeprecatedJDOMetaDataFactory` for old-style mapping data stored as metadata extensions.

Nested Class Summary

Nested classes/interfaces inherited from class kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory
`kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory.ClassMappingAttrs, kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory.FieldMappingAttrs, kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory.MappingAttrs, kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory.MappingAttrsParser, kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory.MappingAttrsRepository, kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory.MappingAttrsSerializer`

Nested classes/interfaces inherited from class kodo.jdo.DeprecatedJDOMetaDataFactory
`DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser`

Nested classes/interfaces inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`AbstractCFMetaDataFactory.Parser, AbstractCFMetaDataFactory.Serializer`

Field Summary

Fields inherited from class kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory
`CLASS_EXTENSIONS, EXT_CLASS_IND_NAME, EXT_CLASS_IND_VALUE, EXT_CLASS_MAP_NAME, EXT_DELETE_ACTION, EXT_FIELD_MAP_NAME, EXT_INDEXED, EXT_JDBC_TYPE, EXT_NULL_IND, EXT_ORDERED, EXT_SIZE, EXT_SQL_TYPE, EXT_VERSION_IND_NAME, FIELD_EXTENSIONS, JDBC, JDBC_CLASS_IND, JDBC_VERSION_IND, KODO, REF`

Fields inherited from class kodo.jdo.DeprecatedJDOMetaDataFactory
`ELEMENT, EXT_AUTO_INCREMENT, EXT_DEPENDENT, EXT_DETACHABLE, EXT_EAGER_FETCH_MODE, EXT_FETCH_GROUP, EXT_INVERSE_OWNER, EXT_SEQUENCE_ASSIGNED, EXT_SEQUENCE_FACTORY, EXT_SEQUENCE_NAME, EXT_SUBCLASS_FETCH_MODE, KEY, VALUE`

Fields inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`cpath, files, rsrcs, urls`

Fields inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`dir, log, repos, store, strict, types`

Fields inherited from interface org.apache.openjpa.meta.MetaDataFactory
`STORE_DEFAULT, STORE_PER_CLASS, STORE_VERBOSE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`ExtensionDeprecatedJDOMappingFactory()`

Method Summary
`void` | `addClassExtensionKeys(Collection exts)`
`void` | `addFieldExtensionKeys(Collection exts)`
`protected void` | `clearMapping(ClassMetaData meta)`
`void` | `load(Class cls, int mode, ClassLoader envLoader)`
`boolean` | `store(ClassMetaData[] metas, QueryMetaData[] queries, SequenceMetaData[] seqs, int mode, Map output)`

Methods inherited from class kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory
`fromMappingAttrs, newMappingParser, newMappingSerializer, setStrict, stripDeprecatedExtensions, stripMappingExtensions, toMappingAttrs, translateClassExtension, translateFieldExtension`

Methods inherited from class kodo.jdo.DeprecatedJDOMetaDataFactory
`newParser`

Methods inherited from class kodo.jdo.JDOMetaDataFactory
`clear, defaultSourceFile, defaultSourceFile, defaultSourceFile, getDefaults, getMetaDataSuffix, getParser, isDeclaredInterfacePersistent, isParseTopDown, isScanTopDown, newClassArgParser, newMetaDataFilter, newSerializer, setDeclaredInterfacePersistent, setLoadObjectIds, setParser, setScanTopDown, setUseSchemaValidation, useSchemaValidation`

Methods inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`backupAndDelete, drop, getDefiningMetaData, getPersistentTypeNames, getSourceFile, getSourceFile, isMappingOnlyFactory, mapPersistentTypeNames, parse, parse, serialize, setClasspathScan, setClasspathScan, setFiles, setFiles, setResources, setResources, setSourceFile, setSourceFile, setURLs, setURLs`

Methods inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`getQueryScope, getResultSetMappingScope, setRepository, setStoreDirectory, setStoreMode, setTypes, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionDeprecatedJDOMappingFactory

    public ExtensionDeprecatedJDOMappingFactory()

Method Detail

### load

    public void load(Class cls,
                     int mode,
                     ClassLoader envLoader)

  Specified by:
    `load` in interface `MetaDataFactory`
  Overrides:
    `load` in class `JDOMetaDataFactory`

### store

    public boolean store(ClassMetaData[] metas,
                         QueryMetaData[] queries,
                         SequenceMetaData[] seqs,
                         int mode,
                         Map output)

  Specified by:
    `store` in interface `MetaDataFactory`
  Overrides:
    `store` in class `AbstractCFMetaDataFactory`

### addClassExtensionKeys

    public void addClassExtensionKeys(Collection exts)

  Specified by:
    `addClassExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addClassExtensionKeys` in class `kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory`

### addFieldExtensionKeys

    public void addFieldExtensionKeys(Collection exts)

  Specified by:
    `addFieldExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addFieldExtensionKeys` in class `kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory`

### clearMapping

    protected void clearMapping(ClassMetaData meta)

  Overrides:
    `clearMapping` in class `AbstractCFMetaDataFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.